import { EthAddress } from "@joincivil/core";
import * as React from "react";
export interface SignConstitutionButtonProps {
    currentNetwork?: string;
    currentAccount?: EthAddress;
    requiredNetwork: string;
    isNewsroomOwner: boolean | undefined;
    signConstitution(): Promise<void>;
}
export declare class SignConstitutionButton extends React.Component<SignConstitutionButtonProps> {
    constructor(props: SignConstitutionButtonProps);
    render(): JSX.Element;
    isDisabled(): boolean;
    renderNoMetaMask(): JSX.Element;
    renderMetaMaskLocked(): JSX.Element;
    renderWrongNetwork(): JSX.Element;
    renderTransactionDetails(): JSX.Element;
    renderIsNotOwner(): JSX.Element;
    renderDetails(): JSX.Element;
    private handleOnClick;
    private renderButtonComponent;
}
